from fastapi import FastAPI
from reviewsense.api.routes import router
from reviewsense.core.config import get_settings

def create_app() -> FastAPI:
    """
    Create and configure the FastAPI application
    
    Returns:
        FastAPI: Configured application instance
    """
    app = FastAPI(
        title="ReviewSense",
        description="AI-powered Product Review Analysis Platform"
    )
    
    # Include routes
    app.include_router(router)
    
    return app

app = create_app()

if __name__ == '__main__':
    import uvicorn
    uvicorn.run(app, host='0.0.0.0', port=8000)
